@echo off

if ""=="%1" goto message
if "/?"=="%1" goto message
if "-?"=="%1" goto message
if "?"=="%1" goto message
if "/H"=="%1" goto message
if "/h"=="%1" goto message
if "-h"=="%1" goto message
if "-H"=="%1" goto message

@echo Insert disc with file part1 into a:
pause
@copy a:part1 part1 /B /Y > nul
@echo Insert disc with file part2 into a:
pause
@copy a:part2 part2 /B /Y > nul
@copy /B part1+part2 disks\%1 /B /-Y > nul
@del part1
@del part2
goto end

:message
@echo makeimg.bat - copies files part1 and part2 from a: and builds into
@echo                archie disc image file of given name
@echo usage: makeimg diskname
:end
